petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMForestGetInitialRefinement

Get the initial level of refinement (relative to the base DM, see DMForestGetBaseDM()) allowed in the forest.

### Synopsis

    #include "petscdmforest.h"
    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMForestGetInitialRefinement(DM dm, PetscInt *initRefinement)

Not collective

### Input Parameter

dm -the forest

### Output Paramater

initefinement -default PETSC_DEFAULT (interpreted by the subtype of DMForest)

### See Also

DMForestSetMinimumRefinement(), DMForestSetMaximumRefinement(), DMForestGetBaseDM()

### Level

intermediate

### Location

src/dm/impls/forest/forest.c
Index of all DMFOREST routines
Table of Contents for all manual pages
Index of all manual pages